QGIS Application - Feature request #2890
Georeference's plugin can work with changes of projections
2010-07-17 01:07 PM - Luiz Motta

Status: In Progress

Priority: Low

Assignee: mmassing -

Category: C++ plugins/Georeferencer

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 12950
Description

The patch allows Georeference’s plugin work changes of projections.

1) The display of GCP's in QGis mapcanvas with
projection changes in QGis (property of project - Coordinate Reference System)

2) The reference coordinates (Map) in GCP table change when new setting of EPSG in plugin.

3) Show EPSG (reference coordinates) in table of GCP and dialog input coordinate (EPSG of Qgis mapcanvas)

History

#1 - 2010-07-17 08:28 PM - Luiz Motta

Update patchs file:

At now, the dialog input coordinate is compact(the information about input by tips) and save the last position of dialog (when accept).

#2 - 2010-07-18 08:20 AM - mmassing -
- Status changed from Open to In Progress

Hi Luiz,

thank you for your contribution. | must confess | haven't fully understood the patch
description, so can't really comment on it right now, but | will test it out and give you
feedback soon.

For the future, it would be great if you could submit your changes as patches (i.e., the output
of "svn diff") instead of submitting the whole source files. This makes it a lot easier to

review and apply changes.

See http://www.qgis.org/wiki/Developers _Manual#Submitting Patches for details on how to

submit patches.

Thank you,

Manuel

#3 - 2010-07-19 01:54 PM - Luiz Motta
http://www.qgis.org/wiki/Developers_Manual#Submitting_Patches

Manuel,

| made your suggestion, i created the set of compared's files (*.diff).

The patch upgraded changed the input coordinate, where, the input mask is sensible with type of projection.

Thank you,

Luiz

#4 - 2010-07-20 07:53 PM - Luiz Motta

Patch and diff files updated

The patch enable move the reference point(dstX and dstY), by Qgis [[MapCanvas]] and by typing the coordinate.

#5 - 2010-07-21 08:50 AM - Luiz Motta

Sorry! The georeferencer_paths_Imotta.2.zip is not valid ( have same zips of georeferencer_paths_Imotta.zip add in 07/21/2010).

Patch and diff files updated.

The patch fixed the bug about raster layer of Plugin Georeferencer when the user open the new Qgis project. At the moment, the raster layer is loaded

again after new project is open.

#6 - 2010-07-23 08:35 AM - Luiz Motta

Patch and diff files updated.

The patch fixed the bug for use reference systems geographic for create georeferencer image (E.: ESPG 4326) and change get type of compress setting

by original name, my be problem with translator.

#7 - 2010-07-24 09:23 PM - Luiz Motta

Patch and diff files updated.

The patch enable georeferencer images with [[GeoTag]]’s.

#8 - 2010-07-25 08:32 AM - Luiz Motta

Patch and diff files updated.

No changes, only made correction in zip files.

#9 - 2010-07-25 08:55 AM - mmassing -

Thanks Luiz for these excellent additions. | have commited parts of your changes in commit:6cd0fOee (SVN r13960), commit:71deac51 (SVN r13961) and
commit:621698fb (SVN r13963).

2024-03-20 2/4



| am not including the reprojection code at the moment, because it has some issues which I'd like to resolve first. The main problem is that a user can easily
run into cases which

result in destructive transformation of GCP coordinates or which work in a counter-intuitive

fashion. | think with the current implementation it would be best to only let the user reproject

GCPs explicitly (e.g. by selecting it as a function from the menu, or by enabling it

explicitly), and not trying to guess from/to which SRS to reproject to avoid any confusion or

unintentional reprojection.

1) Does only work with EPSG projections (i.e. does not work with user-defined projections, or +proj4 based projections without EPSG code). Entering a
non-EPSG projeciton trips up the automatic reprojection completely.

2) Automatic reprojection may not be desired for a variety of reasons, e.g. because reprojection
may be associated with a loss of precision.

3) The transform may fail (e.g. because some coordinates can not be represented in the new
coordinate system), resulting in information loss - this can happen as the result of a seemingly

unrelated user-action (e.g., opening a new project, or changing the projects transformation settings in QGis)

4) The reprojection makes assumptions about the destination SRS which may not be valid.
In particular, it may become impossible to even open a file if the projection (as set in the
gis project settings) results in an invalid transformation of the GCPs.

These problems could maybe be addressed cleanly by storing all GCP destination coordinates in a
fixed geographic reference frame (e.g. WGS84), and deriving the reprojected coordinates only

when needed (e.g. when displaying them to the user, or when fitting the parametrized
transform). This would avoid SRS ambiguities, curb precision loss and make it possible to recover from failed reprojection attempts.

#10 - 2010-07-25 10:29 AM - Luiz Motta

Thanks for commit my contributions.

About the reproject. My point of view it was to ensure the projection for georeference is the same projection in QGis canvas, because need had explicit

projection to harvest of GCP, in this case, it is same QGis Canvas.

#11 - 2011-12-16 01:55 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#12 - 2012-04-15 10:12 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#13 - 2012-10-06 02:34 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#14 - 2014-06-29 06:59 AM - Jiirgen Fischer
- Category changed from C++ Plugins to C++ plugins/Georeferencer

#15 - 2017-05-01 12:42 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No

- Easy fix? set to No

Files
georeferencer_paths_Imotta.2.zip 37.7 KB 2010-07-21 Luiz Motta
georeferencer_diff_Imotta.zip 14.4 KB 2010-07-25 Luiz Motta
georeferencer_paths_Imotta.zip 49.5 KB 2010-07-25 Luiz Motta
